org.apache.cassandra.hints

## Class HintVerbHandler

- java.lang.Object
- - org.apache.cassandra.hints.HintVerbHandler

All Implemented Interfaces:
  IVerbHandler<HintMessage>

    public final class HintVerbHandler
    extends java.lang.Object
    implements IVerbHandler<HintMessage>

Verb handler used both for hint dispatch and streaming. With the non-sstable format, we cannot just stream hint sstables on node decommission. So sometimes, at decommission time, we might have to stream hints to a non-owning host (say, if the owning host B is down during decommission of host A). In that case the handler just stores the received hint in its local hint store.

### Constructor Summary

Constructors
Constructor and Description
`HintVerbHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doVerb(MessageIn<HintMessage> message, int id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HintVerbHandler

    public HintVerbHandler()

### Method Detail

#### doVerb

    public void doVerb(MessageIn<HintMessage> message,
                       int id)

Description copied from interface: `IVerbHandler`
This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

Specified by:
  `doVerb` in interface `IVerbHandler<HintMessage>`
Parameters:
  `message` - - incoming message that needs handling.